Skip to main content
POST
cURL

Body

application/json
sessionId
string
required

The ID of the session, as returned by POST /agents/execute

Example:

"agent_conversation_thread_01k1v4m0000000000000000000"

Response

The session

sessionId
string
required

The ID of the session, as returned by POST /agents/execute

Example:

"agent_conversation_thread_01k1v4m0000000000000000000"

agentId
string
required

The ID of the agent running the session

status
enum<string>
required

Lifecycle status of the session

Available options:
Pending,
InProgress,
Completed,
Failed,
Paused,
WaitingInLine,
Sleeping
Example:

"WaitingInLine"

queuePositionInLine
integer | null
required

Place in the waiting line while the status is WaitingInLine (1 = next to run). Null once the session has started, and for sessions that never waited

queue
object | null
required

The queue gating the session, if any

createdAt
string
required

When the session was created, as an ISO 8601 timestamp

statusLastUpdatedAt
string
required

When the session last changed status, as an ISO 8601 timestamp